#ifndef _FIFOBUFFER_H_
#define _FIFOBUFFER_H_

#include "DataTypes.h"


// Struktur fuer einen Fifo Buffer.
struct stFifoBuffer
{
	S8* m_pBeginBuffer;	// [-]	Zeiger auf den Buffer Anfang.
	S8* m_pEndBuffer;	// [-]	Zeiger auf das Buffer Ende.
	S8* m_pPush;		// [-]	Zeiger auf die aktuelle Push Position.
	S8* m_pPop;			// [-]	Zeiger auf die aktuelle Pop Position.
	US8 m_numByte;      // [-]	Anzahl der gespeicherten Bytes.
	US8 m_size;         // [-]  Groesse des Buffers in Bytes.
};

// Pruefen ob der Buffer leer ist.
extern inline STD_BOOL bGetFifoBufferEmpty( const struct stFifoBuffer* const pFifoBuffer );

#endif	// _FIFOBUFFER_H_
